package com.ibm.oti.security;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 1998, 2011  All Rights Reserved
 */

import java.security.AccessControlContext;
import java.security.AccessController;
import java.security.PrivilegedAction;

public class CheckedAccessControlContext {

	public static ContextCombine combine = null;

	public static <T> void securityCheck(PrivilegedAction<T> action, AccessControlContext acc1, AccessControlContext acc2){
		if (null == action){
			throw new NullPointerException();
		}
		AccessController.doPrivileged(action, combine.combineDomains(acc1, acc2));
	}

	public static <T> void securityCheck(PrivilegedAction<T> action, AccessControlContext acc1){
		CheckedAccessControlContext.securityCheck(action, AccessController.getContext(), acc1);
	}

}

